List channel content
Lists content entries for a channel with pagination.
GET
/api/v2/{team_slug}/{app_slug}/channels/{channel_id}/contentAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
team_slugstringrequiredapp_slugstringrequiredchannel_idstring<uuid>requiredQuery parameters
pageintegerper-pageintegerparent-typestringfield-typestringparent-idstring[]Repeatable parent id
Responses
200
OK
dataChannelContent[]requiredShow propertiesHide properties
Array of
ChannelContentidUUIDrequiredparent_idUUIDrequiredparent_typestringrequiredfield_typestringrequiredvaluestring | nulltranslationsChannelContentTranslation[] | nullShow propertiesHide properties
Array of
ChannelContentTranslationlanguage_codestringrequiredvaluestringrequiredrelationshipsUUID[] | nullpreviewstring[] | nullcreated_atstring<date-time>requiredupdated_atstring<date-time> | nulltotal_pagesintegerrequiredtotal_itemsintegerrequired400
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required401
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required403
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required500
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required